Name:           shotwell
Version:        0.23.1
Release:        %mkrel 1
Summary:        A photo organizer for the GNOME desktop
Group:          Graphics
License:        LGPLv2+ and CC-BY-SA
URL:            http://www.yorba.org/shotwell/
Source0:        https://download.gnome.org/sources/shotwell/0.23/shotwell-%{version}.tar.xz
Source1:        shotwell-icons.tar.bz2
Source2:        shotwell.1
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}exiv2-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel
BuildRequires: %{_lib}gee-devel
BuildRequires: %{_lib}gexiv2-devel 
BuildRequires: %{_lib}glib2.0-devel
BuildRequires: %{_lib}gphoto-devel
BuildRequires: %{_lib}gtk+3.0-devel 
BuildRequires: %{_lib}gudev1.0-devel
BuildRequires: %{_lib}json-glib-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: %{_lib}soup-devel 
BuildRequires: %{_lib}sqlite3-devel 
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}vala-devel
BuildRequires: LibRaw-devel 
BuildRequires: LibRaw

%description
Shotwell is an easy-to-use, fast photo organizer designed for the GNOME
desktop.  It allows you to import photos from your camera or disk, organize
them by date and subject matter, even ratings.  It also offers basic photo
editing, like crop, red-eye correction, color adjustments, and straighten.
Shotwell's non-destructive photo editor does not alter your master photos,
making it easy to experiment and correct errors.


%prep
%setup -q


%build
./configure \
  --prefix=%{_prefix} \
  --libexec=%{_prefix}/libexec/shotwell \
  --lib=%{_lib} \
  --disable-schemas-compile \
  --disable-icon-update

%make

%install
rm -rf %buildroot
export XDG_DISABLE_MAKEFILE_UPDATES=1
export LANG=en_US.utf8
make install DESTDIR=$RPM_BUILD_ROOT


# put hi-res icons in place
(
  cd $RPM_BUILD_ROOT%{_datadir}/icons/hicolor
  rm -rf 16x16 24x24 scalable
  tar xf %{SOURCE1}
)

# install man page
mkdir -p $RPM_BUILD_ROOT%{_mandir}/man1
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_mandir}/man1

mkdir -p %buildroot/%{_datadir}/shotwell/icons/
cp %buildroot/%{_datadir}/icons/hicolor/16x16/apps/shotwell.png \
%buildroot/%{_datadir}/shotwell/icons/shotwell-16.png


# MENU Entry
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Multimedia-Graphics" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang %{name} --with-gnome


%post
update-desktop-database &>/dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :


%postun
update-desktop-database &> /dev/null || :
if [ $1 -eq 0 ] ; then
  touch --no-create %{_datadir}/icons/hicolor &>/dev/null
  gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
  /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor &>/dev/null || :
/usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{name}.lang
%doc README MAINTAINERS NEWS THANKS AUTHORS COPYING
%{_bindir}/shotwell
%{_libdir}/shotwell
%{_datadir}/shotwell
%{_datadir}/applications/shotwell.desktop
%{_datadir}/applications/shotwell-viewer.desktop
%{_datadir}/appdata/shotwell.appdata.xml
%{_datadir}/GConf/gsettings/shotwell.convert
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/icons/hicolor/*/apps/shotwell.png
%{_datadir}/icons/hicolor/symbolic/apps/shotwell-symbolic.svg
%{_mandir}/man1/*
/usr/libexec/shotwell
%{_datadir}/shotwell/icons/shotwell-16.png


%changelog
* Thu May 26 2016 bb <bb> 0.23.1-1pclos2016
- update

